Grist Octri Preview
PATCH/workspaces/{workspaceId}/access

Update workspace access

Updates who has access to a workspace and its maximum inherited role. Provide the changes in delta; maxInheritedRole accepts owners, editors, or viewers.

  • IdempotentThe SDK sends Idempotency-Key, so a retried request is only applied once.

1 parameter · 1 body field
workspaceIdintegerrequired
The integer identifier of the workspace whose access settings you want to change.

The workspace access changes, provided in the required delta field.

deltaobjectrequired
The access changes to apply.

1 status code
200Returns confirmation that the workspace access changes were applied.

Error handling

The workspaceId path parameter must be an integer that identifies an existing workspace. The delta body field is required, and maxInheritedRole must be one of owners, editors, or viewers if provided; values in users must be strings.